## knot 3.5.1

=== tests-redis/requirements.txt ===
rltest
setuptools<=80.0.0
