## knot 0.8.1

=== debian/changelog ===
knot (0.8.1-1) unstable; urgency=low

  * Imported Upstream version 0.8.1
    + Correctly handle SPF resource records
    + Fix wrong text dumping of unknown records.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 01 Dec 2011 16:27:44 +0100

knot (0.8-1) unstable; urgency=low

  * Initial release (Closes: #647461)
  * Add some dependencies in the init.d script
  * Add flex and bison to b-d
  * Add versioned dependency on liburcu
  * Daemonize on the start
  * Update copyright file to include all licenses

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Nov 2011 07:14:55 +0100
