=== debian/control ===
Source: knot
Section: net
Priority: extra
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, liburcu-dev (>= 0.4), libssl-dev, flex, bison
Standards-Version: 3.9.2
Homepage: http://www.knot-dns.cz/
Vcs-Browser: http://git.debian.org/?p=users/ondrej/knot-dns.git
Vcs-Git: git://git.debian.org/users/ondrej/knot-dns.git

Package: knot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: authoritative domain name server
 Knot DNS is a fast, authoritative only, high performance, feature
 full and open source name server.
 .
 Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
 registry and hence is well suited to run anything from the root
 zone, the top-level domain, to many smaller standard domain names.
 .
 Note: this release is still EXPERIMENTAL and you should know what
 you are doing and be able to write bug reports.
