## knot 0.9.1

=== debian/changelog ===
knot (0.9.1-3) unstable; urgency=low

  * Install files into knot package (broken build after added debug
    package)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Jan 2012 15:01:42 +0100

knot (0.9.1-2) unstable; urgency=low

  * Build knot-dbg package with debug symbols

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Jan 2012 13:27:20 +0100

knot (0.9.1-1) unstable; urgency=low

  * Imported Upstream version 0.9.1
    + RRSet rotation functionality added
    + New pseudo-random number generator (new BSD licensed)
    + Fixed build on BSD
    + Fixes in parsing and dumping of some RR types
  * Add correct git-buildpackage configuration
  * Update copyright for new PRNG

 -- Ondřej Surý <ondrej@debian.org>  Sat, 21 Jan 2012 15:47:30 +0100

knot (0.9-1) unstable; urgency=low

  * Imported Upstream version 0.9
    + Add TSIG support
    + Several smaller bugfixes
  * Add correct git-buildpackage configuration
  * Imported Upstream version 0.9.1
  * Update copyright for new PRNG

 -- Ondřej Surý <ondrej@debian.org>  Sat, 21 Jan 2012 15:46:54 +0100
