## knot 1.0~rc1

=== debian/changelog ===
knot (1.0~rc1-1) unstable; urgency=low

  * Imported Upstream version 1.0~rc1
  * Move knotd.pid to /var/run where it belongs

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 Feb 2012 21:12:56 +0100
