=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,6 @@
 	dh_auto_configure -- \
 	  --sysconfdir=/etc/knot \
 	  --localstatedir /var/lib
+
+override_dh_strip:
+	dh_strip --dbg-package=knot-dbg
