=== debian/control ===
--- 
+++ 
@@ -21,3 +21,20 @@
  .
  Note: this release is still EXPERIMENTAL and you should know what
  you are doing and be able to write bug reports.
+
+Package: knot-dbg
+Architecture: any
+Depends: ${misc:Depends}, knot (= ${binary:Version})
+Recommends: gdb
+Section: debug
+Priority: extra
+Description: Debug symbols for Knot DNS
+ Knot DNS is a fast, authoritative only, high performance, feature
+ full and open source name server.
+ .
+ Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
+ registry and hence is well suited to run anything from the root
+ zone, the top-level domain, to many smaller standard domain names.
+ .
+ This package provides the debug symbols for Knot DNS needed for
+ properly debugging errors in Knot DNS with gdb.
