## knot 1.0.6

=== debian/changelog ===
knot (1.0.6-1) unstable; urgency=low

  * Imported Upstream version 1.0.6
   - Add NSEC/NSEC3 for all wildcard CNAMEs in the response.
   - Fixed potential problems with RCU synchronization.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Jun 2012 15:31:52 +0200

knot (1.0.5-1) unstable; urgency=low

  * Imported Upstream version 1.0.5
   - Fixed bug with creating journal files which didn't get merged
     by accident

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 May 2012 12:25:27 +0200

knot (1.0.4-1) unstable; urgency=low

  * Imported Upstream version 1.0.4
   - Speed-up loading of many zones due parallelization
   - Support for TLSA resource record (Type 52)
   - New commands knotc checkzone and knotc refresh (forced update)
   - Fixed responses to CNAME queries if the canonical name was also
     an alias
   - Fixed crash when NS or MX points to an alias
   - Fixed crash when bootstraping/compiling a lot of zones
   - Significant speed-up and memory usage reduction of IXFR-in

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 May 2012 09:33:26 +0200

knot (1.0.3-1) unstable; urgency=low

  * Imported Upstream version 1.0.3
   - Fixed bug in non-EDNS0 queries over TCP
   - Zone compilation time regression fixed

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Apr 2012 09:06:57 +0200

knot (1.0.2-1) unstable; urgency=low

  * Imported Upstream version 1.0.2
   - Bugfix release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Apr 2012 16:09:11 +0200
