## knot 1.1.3

=== debian/changelog ===
knot (1.1.3-1) unstable; urgency=low

  * Imported Upstream version 1.1.3

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Dec 2012 10:50:41 +0100

knot (1.1.3~rc1-1) unstable; urgency=low

  * Imported Upstream version 1.1.3~rc1
   + Fixed answering DS queries (RRSIGs not together with DS, AA bit
     missing).
   + Fixed setting ARCOUNT in some error responses with EDNS enabled.
   + Fixed crash when compiling zone zone with NSEC3PARAM but no NSEC3
     and semantic checks enabled.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 07 Dec 2012 11:19:35 +0100

knot (1.1.2-1) unstable; urgency=low

  * Imported Upstream version 1.1.2

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Nov 2012 14:45:34 +0100

knot (1.1.2~rc1-1) unstable; urgency=low

  * Imported Upstream version 1.1.2~rc1
  * Update patches for new release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 14 Nov 2012 14:04:17 +0100

knot (1.1.1-1) unstable; urgency=low

  * Imported Upstream version 1.1.1
  * Update and remove obsolete patches for new release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 31 Oct 2012 10:42:09 +0100

knot (1.1.0-5) unstable; urgency=low

  * Disable SSE2 instruction set, might solve some strange crashes.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Oct 2012 13:09:54 +0200

knot (1.1.0-4) unstable; urgency=low

  * Disable extra hardening via dpkg-buildflags, which is not needed
    by debhelper 9, but breaks builds on squeeze
  * Install man5 and knot.info documentation

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Sep 2012 16:43:26 +0200

knot (1.1.0-3) unstable; urgency=low

  * Bump dependency on debhelper >= 9
  * Bump standards version to 3.9.3
  * Fix installation of manpages to correct directories

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Sep 2012 16:02:11 +0200

knot (1.1.0-2) unstable; urgency=low

  * Disable AM_MAINTAINER_MODE and re-run autoreconf -fi
  * Enable hardening build by default
  * Update pidfile patch to 1.1.0
  * Cope with default MultiArch in dh_compat==9 and don't install
    unittests* binaries

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Sep 2012 15:32:53 +0200

knot (1.1.0-1) unstable; urgency=low

  * Imported Upstream version 1.1.0
   - User manual now available.
   - Optionally disable ANY queries for authoritative answers.
   - Dropping identical records in zone and incoming transfers.
   - Support for '/' in zone names.
   - Generating journal from reloaded zone (EXPERIMENTAL).
   - Outgoing-only interfaces in configuration file.
   - Following DNAME if the synthetized name is in the same zone.
   - IXFR-in optimized.
   - Many zones loading optimized.
   - Signing SOA with TSIG queries when checking zone version with master.
  * Enable maintainer mode to generate version.texi as a workaround.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 31 Aug 2012 16:27:07 +0200
