=== debian/control ===
--- 
+++ 
@@ -2,8 +2,17 @@
 Section: net
 Priority: extra
 Maintainer: Ondřej Surý <ondrej@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, liburcu-dev (>= 0.4), libssl-dev, flex, bison
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9),
+	       autotools-dev,
+	       autoconf,
+	       automake,
+	       libtool,
+	       liburcu-dev (>= 0.4),
+	       libssl-dev,
+	       flex,
+	       bison,
+	       texinfo
+Standards-Version: 3.9.3
 Homepage: http://www.knot-dns.cz/
 Vcs-Browser: http://git.debian.org/?p=users/ondrej/knot-dns.git
 Vcs-Git: git://git.debian.org/users/ondrej/knot-dns.git
