=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,14 @@
 	dh $@ 
 
 override_dh_auto_configure:
+	autoreconf -fi
 	dh_auto_configure -- \
 	  --sysconfdir=/etc/knot \
-	  --localstatedir /var/lib
+	  --localstatedir=/var/lib \
+	  --libexecdir=/usr/lib/knot
 
 override_dh_strip:
 	dh_strip --dbg-package=knot-dbg
+
+override_dh_install:
+	dh_install --list-missing
