## knot 1.3.0~rc4

=== debian/changelog ===
knot (1.3.0~rc4-2) unstable; urgency=low

  * Disable tests on big endian architectures (but the code still needs to
    be fixed)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 23 Jul 2013 14:07:39 +0200

knot (1.3.0~rc4-1) unstable; urgency=low

  * New upstream version 1.3.0~rc4
  * Add upstream patch to honour CONFIG_DIR
  * Remove now obsolete patch to run as knot:knot
  * The knot/ is now added by upstream to @sysconfdir@

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Jul 2013 15:15:05 +0200

knot (1.3.0~rc3-2) unstable; urgency=low

  * Add proper support for upstart and systemd along with sysvinit
  * Add /usr/lib/knot/prepare-environment script which will parse
    knot configuration file and properly create rundir and set
    correct permissions to configured values in /etc/knot/knot.conf
  * Remove /etc/default/knot since the values are now parsed
    directly from the configuration file
  * Add /var/lib/knot to knot.dirs, so it gets created on package
    install
  * Drop checking for $VERBOSE variable and properly log start/stop from
    sysvinit script

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Jul 2013 13:08:33 +0200

knot (1.3.0~rc3-1) unstable; urgency=low

  * New upstream version 1.3.0~rc3
  * Packaging changes:
    + Use --fail-missing to check for all new files
    + Remove obsolete patches and update installed conffile with latest
      options
    + Don't install knot-zcompile as it is no more
    + Install minimal example configuration file as /etc/knot/knot.conf
    + Add --disable-silent-rules to configure invocation
    + Add patch to fix missing $(DESTDIR) in src/Makefile.am
    + Set --with-rundir and --with-storage to correct locations
    + Run under knot:knot by default (create and delete knot user)
    + Add knot-dnsutils and knot-host packages
    + Add patch to move knot-{host,dnsutils} manpages to correct location
    + Add samples/knot.{full,keys}.conf and example zone to examples.
  * Add knot-doc package with generated documentation (PDF and HTML)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 28 Jun 2013 12:59:55 +0200

knot (1.2.0-2) unstable; urgency=low

  * /etc/init.d/knot now sources /etc/default/knot instead of
    /etc/init.d/knotd (Closes: #707683)
  * Pull upstream fix for pidfile creation before dropping priviledges
    (Closes: #707685)
  * Enable SSE2 support again (we will simply not support anything older
    than Pentium M)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 26 Jun 2013 14:41:04 +0200

knot (1.2.0-1) unstable; urgency=low

  * Imported Upstream version 1.2.0
   + Final release.
   + Some small memory leaks fixes.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 03 Apr 2013 09:16:25 +0200

knot (1.2.0~rc4-1) unstable; urgency=low

  * Imported Upstream version 1.2.0~rc4
   + knotc 'zonestatus' command
   + Changing logfile ownership before dropping privileges
   + knotc respects 'control' section from configuration
   + RRL: resolved bucket collisions
   + RRL: updated bucket mapping to conform RRL technical memo

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 Mar 2013 15:35:50 +0100

knot (1.2.0~rc3-1) unstable; urgency=low

  * Imported Upstream version 1.2.0~rc3
    + New functionality: Response Rate Limiting as a response to
      reflection DNS DDoS attacks in the wild
    + Add missing RRSIG in ANY queries

 -- Ondřej Surý <ondrej@debian.org>  Fri, 01 Mar 2013 13:24:28 +0100

knot (1.2~rc2-1) unstable; urgency=low

  * Imported Upstream version 1.2~rc2
  * Fix git location
  * Update patches for 1.2 release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 18 Feb 2013 12:40:01 +0100
