=== debian/rules ===
--- 
+++ 
@@ -9,18 +9,46 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DEB_HOST_ARCH        ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
 %:
-	dh $@ 
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	autoreconf -fi
 	dh_auto_configure -- \
-	  --sysconfdir=/etc/knot \
+	  --sysconfdir=/etc \
 	  --localstatedir=/var/lib \
-	  --libexecdir=/usr/lib/knot
+	  --libexecdir=/usr/lib/knot \
+	  --with-rundir=/run/knot \
+	  --with-storage=/var/lib/knot \
+	  --disable-silent-rules
+
+override_dh_auto_make:
+	dh_auto_make -- info pdf html
+
+override_dh_auto_install:
+	dh_auto_install -- install-info install-pdf install-html
+
+override_dh_auto_test:
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),armel mips powerpc s390 s390x sparc))
+	:
+else
+	dh_auto_test
+endif
 
 override_dh_strip:
 	dh_strip --dbg-package=knot-dbg
 
 override_dh_install:
-	dh_install --list-missing
+	# Install sample conf as /etc/knot/knot.conf
+	mv $(CURDIR)/debian/tmp/etc/knot/knot.sample.conf $(CURDIR)/debian/tmp/etc/knot/knot.conf
+	# Remove useless example zone from /etc/knot
+	rm $(CURDIR)/debian/tmp/etc/knot/example.com.zone
+	# Install custom script which creates RUNDIR and chowns it according to conffile settings
+	install -m 755 -d $(CURDIR)/debian/tmp/usr/lib/knot/
+	install -m 755 $(CURDIR)/debian/prepare-environment $(CURDIR)/debian/tmp/usr/lib/knot/
+
+	dh_install --fail-missing
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
