## knot 1.4.2

=== debian/changelog ===
knot (1.4.2-1) unstable; urgency=low

  * New upstream version 1.4.2
  * Update OpenSSL << 1.0.0 compatibility patch

 -- Ondřej Surý <ondrej@debian.org>  Mon, 27 Jan 2014 16:14:33 +0100

knot (1.4.1-2) unstable; urgency=low

  * Add patch to remove the requirement for OpenSSL 1.0.0 to build on
    Debian squeeze, be warned though that the OpenSSL before 1.0.0 might
    manifest some threading errors and crashes, so you really should
    upgrade your system to Debian wheezy.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 Jan 2014 16:53:03 +0100

knot (1.4.1-1) unstable; urgency=low

  * New upstream version 1.4.1
    + Empty APL record support
    + 'zonestatus' when using immediate zone syncing
    + Immediate zone syncing after reload
    + Race condition writing time values to zone file
    + Require OpenSSL >= 1.0.0
  * Don't use dh-autoreconf, upstream uses recent enough autotools
  * Bump standards version to 3.9.5
  * Run the tests on every arch without the condition, but don't fail
    anywhere

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 Jan 2014 18:00:18 +0100

knot (1.4.0-1) unstable; urgency=low

  * New major upstream version 1.4.0
    + Experimental automatic DNSSEC signing
    + Fastest ragel parser enabled by default
    + Reduced memory usage 
    + Zone SOA SERIAL policies (INCREMENT, UNIXTIME) for DDNS and
      automatic DNSSEC signing
    + IDN support in Knot utilities (kdig, knsupdate, ...)
    + DNSSEC: support for GOST algorithm  
    + Support for DNSSEC key pre-publication
  * Remove PATH_MAX patch, it's already included in upstream
  * Run the tests on all archs, but don't fail the build if the tests fail
    on broken archs
  * Update watch file to match (alpha|beta|rc)\d* versions

 -- Ondřej Surý <ondrej@debian.org>  Mon, 06 Jan 2014 11:00:07 +0100

knot (1.4.0~rc2-1) experimental; urgency=low

  * New upstream version 1.4.0~rc2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Dec 2013 17:53:26 +0100

knot (1.4.0~rc1-1) experimental; urgency=low

  * Disable tests on GNU Hurd
  * New upstream version 1.4.0~rc1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Nov 2013 16:19:27 +0100

knot (1.4.0~beta-1) experimental; urgency=low

  * New upstream version 1.4.0~beta
  * Update patches for 1.4.0~beta release
  * Disable fastparser since the ragel is broken in one test
  * Add knsec3hash to knot package

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Oct 2013 12:25:49 +0100

knot (1.3.4-1) unstable; urgency=low

  * Disable tests on GNU Hurd
  * New upstream version 1.3.4

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Dec 2013 17:23:52 +0100

knot (1.3.3-1) unstable; urgency=low

  * New upstream version 1.3.3

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Oct 2013 11:40:13 +0100

knot (1.3.2-3) unstable; urgency=low

  * Add ufw applications.d rule for Knot DNS
  * Disable recvmmsg on GNU Hurd (since recvmmsg is not implemented on GNU
    Hurd and will always fail)
  * Enable fastparser (requires Ragel)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 Oct 2013 17:23:35 +0200

knot (1.3.2-2) unstable; urgency=low

  * Define #PATH_MAX to make GNU Hurd happy
  * Don't enable LTO, it doesn't play well with debugging symbols

 -- Ondřej Surý <ondrej@debian.org>  Sun, 06 Oct 2013 01:57:13 +0200

knot (1.3.2-1) unstable; urgency=low

  * New upstream version 1.3.2
  * Enable link-time-optimizations by default

 -- Ondřej Surý <ondrej@debian.org>  Mon, 30 Sep 2013 15:04:01 +0200

knot (1.3.1-1) unstable; urgency=low

  * New upstream version 1.3.1
  * Add new debian/watch file (Courtesy of Debian QA)
  * Bump standards to 3.9.4
  * Stop using /lib/init/vars.sh, we don't use $VERBOSE anymore anyway
  * Drop syslog.target as it is not needed anymore
  * Remove SSE detection patch as it was merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Tue, 27 Aug 2013 14:27:44 +0200

knot (1.3.0-2) unstable; urgency=low

  * Disable SSE detection in the packaged version of Knot DNS

 -- Ondřej Surý <ondrej@debian.org>  Fri, 16 Aug 2013 13:04:39 +0200

knot (1.3.0-1) unstable; urgency=low

  * New upstream version 1.3.0
  * Remove upstream patch from 1.3.0~rc5-2 as it is included in
    this release.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Aug 2013 17:01:23 +0200

knot (1.3.0~rc5-2) unstable; urgency=low

  * Pull some pre 1.3.0 patches (mainly to test before release):
   + Initialize secondary groups for user <user>.<group>.
   + Reworked CH TXT records support (RFC 4892).
   + Fixed inactive xfers may be disconnected depending on the previous
     result.
   + Add server starting information to log.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Aug 2013 10:39:48 +0200

knot (1.3.0~rc5-1) unstable; urgency=low

  * New upstream version 1.3.0~rc5
  * Remove last upstream patch, all our changes have been merged. Yay\!

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Jul 2013 17:15:56 +0200
