=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: extra
 Maintainer: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 9),
-	       dh-autoreconf,
 	       liburcu-dev (>= 0.4),
 	       libssl-dev,
 	       flex,
 	       bison,
+	       ragel,
 	       pkg-config,
 	       texinfo,
 	       texlive
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.knot-dns.cz/
 Vcs-Browser: http://git.debian.org/?p=users/ondrej/knot.git
 Vcs-Git: git://git.debian.org/users/ondrej/knot.git
