=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,14 @@
 
 DEB_HOST_ARCH        ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),hurd-i386))
+  RECVMMSG:=--enable-recvmmsg=no
+else
+  RECVMMSG:=--enable-recvmmsg=yes
+endif
+
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -21,6 +27,7 @@
 	  --libexecdir=/usr/lib/knot \
 	  --with-rundir=/run/knot \
 	  --with-storage=/var/lib/knot \
+	  $(RECVMMSG) \
 	  --disable-silent-rules
 
 override_dh_auto_make:
@@ -30,11 +37,7 @@
 	dh_auto_install -- install-info install-pdf install-html
 
 override_dh_auto_test:
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),armel mips powerpc s390 s390x sparc))
-	:
-else
-	dh_auto_test
-endif
+	-dh_auto_test
 
 override_dh_strip:
 	dh_strip --dbg-package=knot-dbg
@@ -47,8 +50,10 @@
 	# Install custom script which creates RUNDIR and chowns it according to conffile settings
 	install -m 755 -d $(CURDIR)/debian/tmp/usr/lib/knot/
 	install -m 755 $(CURDIR)/debian/prepare-environment $(CURDIR)/debian/tmp/usr/lib/knot/
+	dh_install --fail-missing
 
-	dh_install --fail-missing
+	install -m 755 -d $(CURDIR)/debian/knot/etc/ufw/applications.d/
+	install -m 644 $(CURDIR)/debian/knot.ufw $(CURDIR)/debian/knot/etc/ufw/applications.d/knot
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
