## knot 1.5.0

=== debian/changelog ===
knot (1.5.0-1build1) utopic; urgency=medium

  * No-change rebuild against liburcu2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Jul 2014 05:40:08 +0000

knot (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
   + Features:
    - Pluggable query processing modules
    - Synthetic IPv4/IPv6 reverse/forward records (optional module)
    - dnstap support in both utilities & server (optional module)
    - NOTIFY message support and new TSIG section in kdig
    - Multi-master support
    - edns-client-subnet support in kdig
    - Optional asynchronous startup (config "asynchronous-start")
    - DDNS forwarding reimplemented
   + Improvements:
    - Query processing and core functionality overhaul 
    - Performance and reduced memory footprint
    - Faster zone events scheduling
    - RFC compliant queries/responses in some corner cases
    - Log messages
    - New documentation (Sphinx)
    - Transfer sizes logged in bytes if needed
    - Logging outgoing NOTIFY messages
    - Logging unauthorized incoming NOTIFYs
    - Preempt task queue for faster reload
    - Lazy zone file write after zone transfer (governed by "zonefile-sync")
   + Bugfixes:
    - Close zone transfer after SERVFAIL response
    - Incremental to full zone transfer fallback, wrong log message
    - Zone events corner cases, reload replanning
    - Zone flush planning after bootstrap
    - Incorrect incoming AXFR message sizes
    - DDNS signing changes were freed too soon, posibility of stale data
    - knotc remote control key handling
  * Debian packaging:
   + d/control: New documentation is using sphinx
   + d/control: New knot-libs package containing internal shared libraries

 -- Ondřej Surý <ondrej@debian.org>  Wed, 09 Jul 2014 13:08:26 +0200

knot (1.4.6+hotfix-1) unstable; urgency=medium

  * New upstream version 1.4.6+hotfix

 -- Ondřej Surý <ondrej@debian.org>  Thu, 22 May 2014 15:39:07 +0200

knot (1.4.6-1) unstable; urgency=medium

  * New upstream version 1.4.6
  * Update patches for 1.4.6 release

 -- Ondřej Surý <ondrej@debian.org>  Thu, 22 May 2014 13:15:14 +0200

knot (1.4.5-2) unstable; urgency=high

  * Re-upload to fix botched amd64 upload in 1.4.5-1

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Apr 2014 14:58:30 +0200

knot (1.4.5-1) unstable; urgency=high

  * New upstream version 1.4.5
   + Fix possible weakness in TSIG signature checking
  * Refresh patches for 1.4.5 release
  * Use dh-autoreconf to regenerate autotools files

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Apr 2014 15:11:12 +0200

knot (1.4.4-1) unstable; urgency=medium

  * New upstream version 1.4.4
   + Server is logging remote control commands
   + 'knotc reload' doesn't refresh unchanged zones
   + 'knotc -f refresh' forces zone retransfer
   + Fixed missing notifications after DDNS/automatic resign
   + Zone is rebootstrapped if the zone file is unreadable
   + Progressive bootstrap retry backoff 
   + Zone file parser now allows asterisk as part of the label
   + Fix journal maximum entry size
   + Sign DNSKEYs in non-apex nodes as regular RR sets
   + Various spelling and typo fixes (Courtesy of Robert Edmonds)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 27 Mar 2014 15:49:54 +0100

knot (1.4.3-2) unstable; urgency=medium

  * Add support for autotools-dev and dh-systemd
  * Enable parallel builds in dh invocation

 -- Ondřej Surý <ondrej@debian.org>  Tue, 18 Feb 2014 13:44:13 +0100

knot (1.4.3-1) unstable; urgency=low

  * New upstream version 1.4.3

 -- Ondřej Surý <ondrej@debian.org>  Tue, 18 Feb 2014 13:03:42 +0100
