=== debian/control ===
--- 
+++ 
@@ -1,16 +1,23 @@
 Source: knot
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 9),
 	       liburcu-dev (>= 0.4),
 	       libssl-dev,
+	       dh-systemd,
+	       dh-autoreconf,
+	       autotools-dev,
 	       flex,
 	       bison,
 	       ragel,
 	       pkg-config,
 	       texinfo,
-	       texlive
+	       texlive,
+	       texlive-latex-extra,
+	       texlive-font-utils,
+	       ghostscript,
+	       python-sphinx
 Standards-Version: 3.9.5
 Homepage: http://www.knot-dns.cz/
 Vcs-Browser: http://git.debian.org/?p=users/ondrej/knot.git
@@ -18,7 +25,7 @@
 
 Package: knot
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, knot-libs (= ${binary:Version})
 Description: authoritative domain name server
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
@@ -27,9 +34,22 @@
  registry and hence is well suited to run anything from the root
  zone, the top-level domain, to many smaller standard domain names.
 
+Package: knot-libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: authoritative domain name server
+ Knot DNS is a fast, authoritative only, high performance, feature
+ full and open source name server.
+ .
+ Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
+ registry and hence is well suited to run anything from the root
+ zone, the top-level domain, to many smaller standard domain names.
+ .
+ This package provides various internal common shared libraries.
+
 Package: knot-dbg
 Architecture: any
-Depends: ${misc:Depends}, knot (= ${binary:Version})
+Depends: ${misc:Depends}, knot (= ${binary:Version}), knot-libs (= ${binary:Version})
 Recommends: gdb
 Section: debug
 Priority: extra
@@ -46,9 +66,8 @@
 
 Package: knot-dnsutils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, knot-libs (= ${binary:Version})
 Section: net
-Priority: optional
 Conflicts: dnsutils
 Replaces: dnsutils
 Provides: dnsutils
@@ -74,13 +93,19 @@
 
 Package: knot-host
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, knot-libs (= ${binary:Version})
 Section: net
-Priority: optional
 Conflicts: host
 Provides: host
 Replaces: host
 Description: Version of 'host' bundled with Knot DNS
+ Knot DNS is a fast, authoritative only, high performance, feature
+ full and open source name server.
+ .
+ Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
+ registry and hence is well suited to run anything from the root
+ zone, the top-level domain, to many smaller standard domain names.
+ .
  This package provides the 'host' program in the form that is bundled
  with the Knot DNS.  The 'host' command is designed to be 1:1
  compatible with BIND 9.x 'host' program.
@@ -89,7 +114,13 @@
 Architecture: all
 Depends: ${misc:Depends}
 Section: doc
-Priority: optional
 Description: Documentation for Knot DNS
+ Knot DNS is a fast, authoritative only, high performance, feature
+ full and open source name server.
+ .
+ Knot DNS is developed by CZ.NIC Labs, the R&D department of .CZ
+ registry and hence is well suited to run anything from the root
+ zone, the top-level domain, to many smaller standard domain names.
+ .
  This package provides various documents that are useful for
  maintaining a working Knot DNS installation.
