=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with autotools-dev,systemd,autoreconf --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -30,8 +30,8 @@
 	  $(RECVMMSG) \
 	  --disable-silent-rules
 
-override_dh_auto_make:
-	dh_auto_make -- info pdf html
+override_dh_auto_build:
+	dh_auto_build -- all info pdf html
 
 override_dh_auto_install:
 	dh_auto_install -- install-info install-pdf install-html
@@ -50,6 +50,10 @@
 	# Install custom script which creates RUNDIR and chowns it according to conffile settings
 	install -m 755 -d $(CURDIR)/debian/tmp/usr/lib/knot/
 	install -m 755 $(CURDIR)/debian/prepare-environment $(CURDIR)/debian/tmp/usr/lib/knot/
+
+	# Remove .la and .so
+	rm $(CURDIR)/debian/tmp/usr/lib/*/*.la $(CURDIR)/debian/tmp/usr/lib/*/*.so
+
 	dh_install --fail-missing
 
 	install -m 755 -d $(CURDIR)/debian/knot/etc/ufw/applications.d/
