## knot 1.5.3

=== debian/changelog ===
knot (1.5.3-1~bpo70+1) wheezy-backports; urgency=medium

  * Backport for Debian 7.0

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Sep 2014 17:28:49 +0200

knot (1.5.3-1) unstable; urgency=medium

  * Move knot-libs to Section: net (Closes: #760795)
  * New upstream version 1.5.3

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Sep 2014 17:00:08 +0200

knot (1.5.2-1) unstable; urgency=high

  * Update Vcs-Urls to point to anonscm.debian.org
  * New upstream version 1.5.2
    + [CVE-2014-0486]: Fixed remote crash with crafted DNS message
  * Update patches for 1.5.2 release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 Sep 2014 11:11:56 +0200

knot (1.5.1-3) unstable; urgency=high

  * More arch/indep build rules splitting to fix binary-arch-only builds
  * Add lintian override to override warning about internal libraries in
    knot-libs

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Aug 2014 09:43:05 +0200

knot (1.5.1-2) unstable; urgency=medium

  * Enable full hardening via debhelper >= 9
  * Enable IDN in knot-dnsutils and knot-host packages
  * Enable systemd libraries only on linux-any
  * Split arch and indep builds to build the documentation just once
  * Drop ragel from build depends to allow arm64 builds

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Aug 2014 15:54:34 +0200

knot (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * Enable systemd notification mechanism
  * Enable systemd journal enhanced logging

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Aug 2014 10:45:18 +0200
