=== debian/control ===
--- 
+++ 
@@ -2,26 +2,33 @@
 Section: net
 Priority: optional
 Maintainer: Ondřej Surý <ondrej@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends-Indep: texinfo,
+		     texlive,
+		     texlive-latex-extra,
+		     texlive-font-utils,
+		     ghostscript,
+		     python-sphinx
+Build-Depends: debhelper (>= 7),
 	       liburcu-dev (>= 0.4),
 	       libssl-dev,
-	       dh-systemd,
-	       dh-autoreconf,
-	       autotools-dev,
+	       libidn11-dev,
 	       flex,
 	       bison,
-	       ragel,
 	       pkg-config,
 	       texinfo,
 	       texlive,
 	       texlive-latex-extra,
 	       texlive-font-utils,
 	       ghostscript,
-	       python-sphinx
+	       python-sphinx (>= 1.0.8+dfsg-2~),
+	       autotools-dev,
+	       automake,
+	       autoconf,
+	       libtool
 Standards-Version: 3.9.5
 Homepage: http://www.knot-dns.cz/
-Vcs-Browser: http://git.debian.org/?p=users/ondrej/knot.git
-Vcs-Git: git://git.debian.org/users/ondrej/knot.git
+Vcs-Browser: http://anonscm.debian.org/?p=users/ondrej/knot.git
+Vcs-Git: git://anonscm.debian.org/users/ondrej/knot.git
 
 Package: knot
 Architecture: any
@@ -37,6 +44,7 @@
 Package: knot-libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Section: libs
 Description: authoritative domain name server
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
