=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# To enable all, uncomment following line
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
 DEB_HOST_ARCH        ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),hurd-i386))
@@ -18,9 +23,10 @@
 endif
 
 %:
-	dh $@ --with autotools-dev,systemd,autoreconf --parallel
+	dh $@ --parallel
 
 override_dh_auto_configure:
+	autoreconf -fi
 	dh_auto_configure -- \
 	  --sysconfdir=/etc \
 	  --localstatedir=/var/lib \
@@ -31,10 +37,10 @@
 	  --disable-silent-rules
 
 override_dh_auto_build:
-	dh_auto_build -- all info pdf html
+	dh_auto_build -- all html
 
 override_dh_auto_install:
-	dh_auto_install -- install-info install-pdf install-html
+	dh_auto_install -- install install-html
 
 override_dh_auto_test:
 	-dh_auto_test
@@ -52,12 +58,17 @@
 	install -m 755 $(CURDIR)/debian/prepare-environment $(CURDIR)/debian/tmp/usr/lib/knot/
 
 	# Remove .la and .so
-	rm $(CURDIR)/debian/tmp/usr/lib/*/*.la $(CURDIR)/debian/tmp/usr/lib/*/*.so
+	-rm -f $(CURDIR)/debian/tmp/usr/lib/*/*.la \
+	       $(CURDIR)/debian/tmp/usr/lib/*/*.so \
+	       $(CURDIR)/debian/tmp/usr/lib/*.la \
+	       $(CURDIR)/debian/tmp/usr/lib/*.so
 
-	dh_install --fail-missing
+	dh_install -Nknot-doc --list-missing
 
 	install -m 755 -d $(CURDIR)/debian/knot/etc/ufw/applications.d/
 	install -m 644 $(CURDIR)/debian/knot.ufw $(CURDIR)/debian/knot/etc/ufw/applications.d/knot
 
+	dh_install -pknot-doc --list-missing
+
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
