=== debian/control ===
--- 
+++ 
@@ -8,24 +8,20 @@
 		     texlive-font-utils,
 		     ghostscript,
 		     python-sphinx
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 9),
 	       liburcu-dev (>= 0.4),
 	       libssl-dev,
 	       libidn11-dev,
+	       dh-systemd,
+	       dh-autoreconf,
+	       autotools-dev,
 	       flex,
 	       bison,
 	       pkg-config,
-	       texinfo,
-	       texlive,
-	       texlive-latex-extra,
-	       texlive-font-utils,
-	       ghostscript,
-	       python-sphinx (>= 1.0.8+dfsg-2~),
-	       autotools-dev,
-	       automake,
-	       autoconf,
-	       libtool
-Standards-Version: 3.9.5
+	       libsystemd-daemon-dev [linux-any],
+	       libsystemd-journal-dev [linux-any],
+	       liblmdb-dev
+Standards-Version: 3.9.6
 Homepage: http://www.knot-dns.cz/
 Vcs-Browser: http://anonscm.debian.org/?p=users/ondrej/knot.git
 Vcs-Git: git://anonscm.debian.org/users/ondrej/knot.git
@@ -33,6 +29,7 @@
 Package: knot
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, knot-libs (= ${binary:Version})
+Recommends: systemd
 Description: authoritative domain name server
  Knot DNS is a fast, authoritative only, high performance, feature
  full and open source name server.
